"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodePoolRepository = void 0;
const microservice_1 = require("@jfrog-pipelines/microservice");
const NodePoolDataAdapterFactory_1 = require("./NodePoolDataAdapterFactory");
class NodePoolRepository {
    constructor() {
        this.adapter = NodePoolDataAdapterFactory_1.NodePoolDataAdapterFactory.create(microservice_1.AclAdapterDi.api);
    }
    async getNodePools() {
        return this.adapter.getNodePoolsByQuery();
    }
}
exports.NodePoolRepository = NodePoolRepository;
//# sourceMappingURL=NodePoolRepository.js.map